{
  "schema_version": "1.4.0",
  "id": "GHSA-q4g7-ccjm-h2xx",
  "modified": "2025-04-11T03:35:39Z",
  "published": "2022-05-02T03:59:08Z",
  "aliases": [
    "CVE-2009-4881"
  ],
  "details": "Integer overflow in the __vstrfmon_l function in stdlib/strfmon_l.c in the strfmon implementation in the GNU C Library (aka glibc or libc6) before 2.10.1 allows context-dependent attackers to cause a denial of service (application crash) via a crafted format string, as demonstrated by the %99999999999999999999n string, a related issue to CVE-2008-1391.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-4881"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/59241"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201011-01.xml"
    },
    {
      "type": "WEB",
      "url": "http://sources.redhat.com/bugzilla/show_bug.cgi?id=10600"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/git/?p=glibc.git%3Ba=commit%3Bh=153aa31b93be22e01b236375fb02a9f9b9a0195f"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/git/?p=glibc.git;a=commit;h=153aa31b93be22e01b236375fb02a9f9b9a0195f"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2010/dsa-2058"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:111"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-06-01T20:30:00Z"
  }
}